package com.elab.es.client.annotation;

import com.elab.es.client.configuration.ESConfiguration;
import org.springframework.context.annotation.Import;

import java.lang.annotation.*;

@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Inherited
@Import({ESConfiguration.class})
public @interface EnableElastaticSearch {
    String[] basePackages() default {};

    String[] value() default {};

    String[] entityPath() default {};

    boolean printregmsg() default false;
}
